//SY20ZR13 JOB 1,TMVT800,MSGLEVEL=(1,1),
// CLASS=A,MSGCLASS=A,REGION=768K
//*
//*  PROBLEM DESCRIPTION(S):
//*    TMVT800 -
//*      Modify stage 1 sysgen macros as follows:
//*
//*        Macro         Change
//*       SGASMPAK       Add JOB card to assemblies,
//*                      change assembler name to IEUASM,
//*                      change COND to (0,LT), add REGION=300K,
//*                      modify SYSPRINT card to increase space
//*                      and reduce BLKSIZE.
//*       SGLEDPK1       Add JOB card to link edits, add
//*                      REGION=300K.
//*       TSASMPAK       Add JOB card to TSO assemblies,
//*                      change assembler name to IEUASM,
//*                      change COND to (0,LT), add REGION=300,
//*                      modify SYSPRINT card to increase space
//*                      and reduce BLKSIZE.
//*       GENERATE       Add JOB card generation.
//*       SGIEK401       Add REGION=300K parameter to linkage editor
//*                      EXEC statement.
//*       SGIFC600       Add JOB card generation.
//*       SGIEA2NP       Increase BCT loop for NIP timer test.
//*       JOBSEP         New macro to create JOB cards.
//*
//*   COMPONENT:  360S-CI505-EBB2218
//*
//*   APARS FIXED: TMVT800
//*
//*   SPECIAL CONDITIONS:
//*     IOGEN:  An I/O generation is required for implementation
//*       of the functionality added by this usermod.
//*       GENTYPE = IO
//*
//*   COMMENTS:
//*     LAST CHANGE:  2010/07/09
//*
//*     THE FOLLOWING MODULES AND/OR MACROS ARE AFFECTED BY THIS USERMOD:
//*
//*     MACROS
//*       GENERATE
//*       JOBSEP
//*       SGIEA2NP
//*       SGIEK401
//*       SGIFC600
//*       SGLEDPK1
//*       TSASMPAK
//*
//TMVT800 EXEC PGM=IEBUPDTE,PARM=MOD
//SYSPRINT DD  SYSOUT=A
//SYSUT1   DD  DISP=SHR,DSN=SYS1.GENLIB
//SYSUT2   DD  DISP=SHR,DSN=SYS1.GENLIB
//SYSIN    DD  DATA
./ CHANGE NAME=SGASMPAK
         JOBSEP     TYPE=AM                                    @TMVT800 00010000
 PUNCH '//SG&SGCTRLA(1) EXEC PGM=IEUASM,'                      @TMVT800 00040000
 PUNCH '//    PARM=(DECK,NOLOAD),COND=(0,LT),REGION=300K'      @TMVT800 00050000
 PUNCH '//SYSPRINT DD SPACE=(CYL,(20,10),RLSE),'               @TMVT800 00229000
 PUNCH '//             DCB=(RECFM=FB,LRECL=121,BLKSIZE=968),           +00238017
./ CHANGE NAME=SGLEDPK1
         JOBSEP     TYPE=LK                                    @TMVT800 18001017
 PUNCH '//SG&SGCTRLA(1) EXEC PGM=IEWL,COND=(8,LT),REGION=200K,         +20000017
./ CHANGE NAME=TSASMPAK
         JOBSEP     TYPE=TA                                    @TMVT800 02000020
 PUNCH '//SG&SGCTRLA(1) EXEC PGM=IEUASM,'                      @TMVT800 08000020
 PUNCH '//    PARM=(DECK,NOLOAD),COND=(4,LT),REGION=300K'      @TMVT800 09000000
 PUNCH '//SYSPRINT DD SPACE=(CYL,(20,10),RLSE),'               @TMVT800 58000020
 PUNCH '//            DCB=(RECFM=FB,LRECL=121,BLKSIZE=968),            +64000020
./ CHANGE NAME=GENERATE
         GBLA  &FTCJOBN                                        @TMVT800 00560020
.JB01    ANOP  ,                                               @TMVT800 26240018
&FTCJOBN       SETA 0                                          @TMVT800 32776017
         AIF   (&GETB(2)).B451       PROCESSOR ONLY            @TMVT800 32796020
&FTCJOBN       SETA 0                                          @TMVT800 39102020
         JOBSEP     TYPE=UT                                    @TMVT800 39241619
         JOBSEP     TYPE=CY                                    @TMVT800 40841019
         JOBSEP     TYPE=RN                                    @TMVT800 42973019
         JOBSEP     TYPE=LR                                    @TMVT800 43047519
         JOBSEP     TYPE=LR                                    @TMVT800 43075519
         JOBSEP     TYPE=LK                                    @TMVT800 44841019
 PUNCH '//SG&SGCTRLA(1) EXEC PGM=IEWL,COND=(4,LT),REGION=150K,' TGEN804 44940000
.*       JOBSEP     TYPE=LK     ELIMINATE EXTRA JOB IN STAGE 2 @TMVT800 51052919
         JOBSEP   TYPE=CY                                      @TMVT800 51075650
         JOBSEP     TYPE=CY                                    @TMVT800 63401019
         JOBSEP     TYPE=CY                                    @TMVT800 76921019
         JOBSEP     TYPE=UT                                    @TMVT800 80336019
         JOBSEP     TYPE=IO                                    @TMVT800 80521019
         JOBSEP     TYPE=RN                                    @TMVT800 81602219
         JOBSEP     TYPE=UT                                    @TMVT800 81801019
.YF2     ANOP                                                  @TMVT800 90340020
*** POSTGEN ***                                                @TMVT800 90401017
         AGO        .MEND                                      @TMVT800 90402517
.MEND    JOBSEP     JOB=NO,ZEND=NO     CLOSE OUT LAST JOB      @TMVT800 90790020
         MEND                                                  @TMVT800 94800020
./ CHANGE NAME=SGIEK401
         JOBSEP     TYPE=LK                                    @TMVT800 05001017
 PUNCH '//SG&SGCTRLA(1) EXEC PGM=IEWL,COND=(8,LT),REGION=300K,         +05500017
./ CHANGE NAME=SGIFC600
         JOBSEP     TYPE=LK                                    @TMVT800 74201018
         JOBSEP     TYPE=LK                                    @TMVT800 87501018
./ CHANGE NAME=SGIEA2NP
&TIMBCTC SETC  '100000'                                        @TMVT800 11289921
./ ADD NAME=JOBSEP,LIST=ALL
         MACRO                                                 @TMVT800 00010000
         JOBSEP     &TYPE=,&ZEND=YES,&JOB=YES                  @TMVT800 00020000
.*                 THE PURPOSE OF THIS MACRO IS TO PROVIDE     @TMVT800 00030000
.*                 A JOBCARD FOR THE FASTGEN PROCESS           @TMVT800 00040000
.*                 SYMBOLIC PARAMETER &JOB SPECIFIES WHETHER   @TMVT800 00050000
.*                      OR NOT A JOB CARD IS TO BE PUNCHED FOR @TMVT800 00060000
.*                      THIS JOB                               @TMVT800 00070000
.*                 SYMBOLIC PARAMETER &ZEND SPECIFIES WHETHER  @TMVT800 00080000
.*                      OR NOT ENDING STEP IS TO BE PUNCHED    @TMVT800 00090000
.*                      FOR THIS JOB BUT IS SAVED AND NOT USED @TMVT800 00100000
.*                      UNTIL THE NEXT ENTRY TO THIS MACRO     @TMVT800 00110000
         COPY  SGGBLPAK                                        @TMVT800 00120000
         GBLA  &FTCJOBN,&FTCJOBE                               @TMVT800 00130000
         GBLB  &SGHOLDB       "TYPRUN=HOLD" FLAG               @TMVT800 00140000
         GBLB       &FTCZEND                                   @TMVT800 00150000
         GBLC       &FTCPTYP                                   @TMVT800 00160000
         GBLC       &RELNOC                                    @TMVT800 00170000
         LCLA       &RELNOA                                    @TMVT800 00180000
         LCLC       &TEMP,&TYPRUNK,&TYPRUNV                    @TMVT800 00190000
         AIF   (NOT &SGHOLDB).NOHOLD                           @TMVT800 00200000
&TYPRUNK SETC  ',TYPRUN='                                      @TMVT800 00210000
&TYPRUNV SETC  'HOLD'                                          @TMVT800 00220000
.NOHOLD  ANOP  ,                                               @TMVT800 00230000
         AIF   ('&RELNOC' NE '').SREL2                         @TMVT800 00240000
&RELNOC  SETC  '&SGCTRLC(4)'                                   @TMVT800 00250000
.SREL2   ANOP  ,                                               @TMVT800 00260000
&TEMP    SETC       '&RELNOC'(1,2)                             @TMVT800 00270000
&RELNOA  SETA       &TEMP                                      @TMVT800 00280000
         AIF        (NOT &FTCZEND).NOZEND                      @TMVT800 00290000
&FTCJOBE SETA  &FTCJOBN-1                                      @TMVT800 00300000
         PUNCH      '//ZEND  EXEC PGM=ZMSG,'                   @TMVT800 00310000
         PUNCH  '// PARM=''**** R&RELNOA&FTCPTYP&FTCJOBE  ** F A I L E C00320000
               D **** F A I L E D ****'','                     @TMVT800 00330000
         AIF ('&FTCPTYP' EQ 'LK').LKCOND                       @TMVT800 00340000
         PUNCH      '// COND=(0,EQ)'                           @TMVT800 00350000
         AGO .DOJOB                                            @TMVT800 00360000
.LKCOND  ANOP                                                  @TMVT800 00370000
         PUNCH      '// COND=(4,GE)'                           @TMVT800 00380000
.DOJOB   ANOP                                                  @TMVT800 00390000
         PUNCH      '//'                                       @TMVT800 00400000
.NOZEND  AIF ('&JOB' NE 'YES').NOJOB                           @TMVT800 00410000
&FTCPTYP SETC  '&TYPE'                                         @TMVT800 00420000
         PUNCH      '//R21&TYPE&FTCJOBN JOB CLASS=A,MSGCLASS=A,MSGLEVEL200430000
               =(1,1)&TYPRUNK&TYPRUNV'                         @TMVT800 00440000
         PUNCH      '//* *** RELEASE &RELNOC  MVT  RELEASE &RELNOC ***' 00450000
&FTCJOBN  SETA &FTCJOBN+1                                      @TMVT800 00460000
.NOJOB   ANOP  ,                                               @TMVT800 00470000
&FTCZEND SETB       ('&ZEND' EQ 'YES')                         @TMVT800 00480000
         MEND                                                  @TMVT800 00490000
./ ENDUP
/*
//
